| Home | Libraries | People | FAQ | More

###### static_url::operator= (1 of 2 overloads)

Assignment.

###### Synopsis

    static_url&
    operator=(
        static_url const& u);

###### Description

The contents of `u` are copied and the previous contents of `this` are discarded. Capacity remains unchanged.

###### Postconditions

    this->buffer() == u.buffer() && this->buffer().data() != u.buffer().data()

###### Complexity

Linear in `u.size()`.

###### Exception Safety

Throws nothing.

###### Parameters

Name | Description
--- | ---
`u` | The url to copy.